Studio catalog
Recover a catalog draft creation result by its original idempotency key
Read only. Returns the current resource created by this exact actor, client, Studio, credential lane and creation key. A 404 does not authorize a replacement creation or prove an earlier request was never in flight. Retain the original key.
GET
/
v1
/
studios
/
{studio_id}
/
packages
/
creation-requests
/
{idempotency_key}
Recover a catalog draft creation result by its original idempotency key
curl --request GET \
--url https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"add_ons": [
{
"active": true,
"price": {
"amount": 1,
"currency": "USD"
},
"product_id": "<string>",
"digital_configuration_id": "<string>",
"sort_order": 1
}
],
"availability": {
"active": true,
"as_add_on": true,
"in_packages": true,
"listed": true,
"standalone": true
},
"edit_version": 123,
"feature_in_recommendations": true,
"id": "<string>",
"lines": [
{
"photo_configuration": "individual",
"product_id": "<string>",
"quantity": 50,
"digital_configuration_id": "<string>"
}
],
"media_asset_ids": [
"<string>"
],
"name": "<string>",
"price": {
"amount": 1,
"currency": "USD"
},
"status": "<string>",
"description": "<string>",
"edit_fingerprint": "<string>",
"pending_draft_id": "<string>",
"sort_order": 123
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}Authorizations
Headers
Path Parameters
Response
Package
⌘I
Recover a catalog draft creation result by its original idempotency key
curl --request GET \
--url https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.batchrelay.com/v1/studios/{studio_id}/packages/creation-requests/{idempotency_key}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"add_ons": [
{
"active": true,
"price": {
"amount": 1,
"currency": "USD"
},
"product_id": "<string>",
"digital_configuration_id": "<string>",
"sort_order": 1
}
],
"availability": {
"active": true,
"as_add_on": true,
"in_packages": true,
"listed": true,
"standalone": true
},
"edit_version": 123,
"feature_in_recommendations": true,
"id": "<string>",
"lines": [
{
"photo_configuration": "individual",
"product_id": "<string>",
"quantity": 50,
"digital_configuration_id": "<string>"
}
],
"media_asset_ids": [
"<string>"
],
"name": "<string>",
"price": {
"amount": 1,
"currency": "USD"
},
"status": "<string>",
"description": "<string>",
"edit_fingerprint": "<string>",
"pending_draft_id": "<string>",
"sort_order": 123
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"docs_url": "<string>",
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}